#
# spec file for package systester
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           systester
Version:        1.5.1
Release:        bp154.2.53
Summary:        Benchmark and system stabilty tool
License:        GPL-2.0-or-later
Group:          System/Benchmark
URL:            http://systester.sourceforge.net
Source:         http://sourceforge.net/projects/systester/files/systester/1.5.0/%{name}-%{version}.tar.gz
Patch0:         systester-qt5.patch
BuildRequires:  gmp-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
ExclusiveArch:  ix86 x86_64

%description
System Stability Tester tries to test the system's stability by
calculating up to 128 millions of Pi digits. It supports multiple
calculation algorithms. For the moment only two have been
implemented. The Quadratic Convergence of Borwein and Gauss-Legendre,
the algorithm SuperPi uses.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags}"
%qmake5 systester.pro
%make_build
pushd cli
%make_build all lite
popd

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_docdir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp systester %{buildroot}/%{_bindir}
cp Authors Changelog COPYING FAQ.txt %{buildroot}/%{_docdir}/%{name}
cp images/systester.png %{buildroot}/%{_datadir}/pixmaps
cp systester.desktop %{buildroot}/%{_datadir}/applications
pushd cli
cp systester-cli %{buildroot}/%{_bindir}
cp systester-lite %{buildroot}/%{_bindir}
popd
%suse_update_desktop_file  -r %{name} Education Math System Monitor

%files
%license COPYING
%{_bindir}/systester
%{_bindir}/systester-cli
%{_bindir}/systester-lite
%doc %{_docdir}/%{name}
%{_datadir}/applications/systester.desktop
%{_datadir}/pixmaps/systester.png

%changelog
* Wed Nov 25 2020 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Sun Feb 21 2016 crrodriguez@opensuse.org
- Build against QT5.
  * systester-qt5.patch
* Tue May  5 2015 mpluskal@suse.com
- Build only on supported architectures
* Fri Apr 17 2015 mpluskal@suse.com
- Update license information
* Wed Apr 15 2015 mpluskal@suse.com
- Do not manually strip binaries
* Wed Apr  8 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
- Update to 1.5.1
* Mon Jul 16 2012 lijewski.stefan@zabka.pl
- added Categories, strip binaries
* Fri Jul 13 2012 lijewski.stefan@zabka.pl
- update to version 1.5.0 (see Changelog)
- new binaries:
    systester-cli
    systester-lite
- add desktop files
* Wed Mar 16 2011 lijewski.stefan@zabka.pl
- fix minor bugs in spec
* Mon Mar 14 2011 lijewski.stefan@gmail.com
- update to version 1.1.1:
  Systester now can link against MPIR.
  Source code clean up.
  Minor bug fixes.
* Thu Nov 18 2010 lijewski.stefan@gmail.com 1.1.0
- Initial release
